<Type Name="StaticPartialCachingControl" FullName="System.Web.UI.StaticPartialCachingControl">
  <TypeSignature Language="C#" Value="public class StaticPartialCachingControl : System.Web.UI.BasePartialCachingControl, IComponent, IDisposable, IParserAccessor, IDataBindingsAccessor" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Web</AssemblyName>
    <AssemblyPublicKey>
    </AssemblyPublicKey>
    <AssemblyVersion>1.0.5000.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Web.UI.TagPrefixAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Web.UI.BasePartialCachingControl</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.ComponentModel.IComponent</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.IDisposable</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.Web.UI.IParserAccessor</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.Web.UI.IDataBindingsAccessor</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="BuildCachedControl">
      <MemberSignature Language="C#" Value="public static void BuildCachedControl (Control parent, string ctrlID, string guid, int duration, string varyByParams, string varyByControls, string varyByCustom, BuildMethod buildMethod);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="parent" Type="System.Web.UI.Control" />
        <Parameter Name="ctrlID" Type="System.String" />
        <Parameter Name="guid" Type="System.String" />
        <Parameter Name="duration" Type="System.Int32" />
        <Parameter Name="varyByParams" Type="System.String" />
        <Parameter Name="varyByControls" Type="System.String" />
        <Parameter Name="varyByCustom" Type="System.String" />
        <Parameter Name="buildMethod" Type="System.Web.UI.BuildMethod" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="parent">To be added: an object of type 'Control'</param>
        <param name="ctrlID">To be added: an object of type 'string'</param>
        <param name="guid">To be added: an object of type 'string'</param>
        <param name="duration">To be added: an object of type 'int'</param>
        <param name="varyByParams">To be added: an object of type 'string'</param>
        <param name="varyByControls">To be added: an object of type 'string'</param>
        <param name="varyByCustom">To be added: an object of type 'string'</param>
        <param name="buildMethod">To be added: an object of type 'BuildMethod'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public StaticPartialCachingControl (string ctrlID, string guid, int duration, string varyByParams, string varyByControls, string varyByCustom, BuildMethod buildMethod);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
        <Parameter Name="ctrlID" Type="System.String" />
        <Parameter Name="guid" Type="System.String" />
        <Parameter Name="duration" Type="System.Int32" />
        <Parameter Name="varyByParams" Type="System.String" />
        <Parameter Name="varyByControls" Type="System.String" />
        <Parameter Name="varyByCustom" Type="System.String" />
        <Parameter Name="buildMethod" Type="System.Web.UI.BuildMethod" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="ctrlID">To be added: an object of type 'string'</param>
        <param name="guid">To be added: an object of type 'string'</param>
        <param name="duration">To be added: an object of type 'int'</param>
        <param name="varyByParams">To be added: an object of type 'string'</param>
        <param name="varyByControls">To be added: an object of type 'string'</param>
        <param name="varyByCustom">To be added: an object of type 'string'</param>
        <param name="buildMethod">To be added: an object of type 'BuildMethod'</param>
        <returns>To be added: an object of type 'StaticPartialCachingControl'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
